Open Chinese Convert: opencc::PhraseExtract Class Reference

Open Chinese Convert 1.1.2 A project for conversion between Traditional and Simplified Chinese

Classes | Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
opencc::PhraseExtract Class Reference

## Classes
struct | Signals

## Public Types
typedef UTF8StringSlice::LengthType | LengthType
typedef UTF8StringSliceBase< unsigned char > | UTF8StringSlice8Bit

## Public Member Functions
void | Extract (const std::string &text)
void | SetFullText (const std::string &fullText)
void | SetFullText (const char *fullText)
void | SetFullText (const UTF8StringSlice &fullText)
void | SetWordMinLength (const LengthType _wordMinLength)
void | SetWordMaxLength (const LengthType _wordMaxLength)
void | SetPrefixSetLength (const LengthType _prefixSetLength)
void | SetSuffixSetLength (const LengthType _suffixSetLength)
void | SetPreCalculationFilter (const std::function< bool(const PhraseExtract &, const UTF8StringSlice8Bit &)> &filter)
void | SetPostCalculationFilter (const std::function< bool(const PhraseExtract &, const UTF8StringSlice8Bit &)> &filter)
void | ReleaseSuffixes ()
void | ReleasePrefixes ()
const std::vector< UTF8StringSlice8Bit > & | Words () const
const std::vector< UTF8StringSlice8Bit > & | WordCandidates () const
const Signals & | Signal (const UTF8StringSlice8Bit &wordCandidate) const
double | Cohesion (const UTF8StringSlice8Bit &wordCandidate) const
double | Entropy (const UTF8StringSlice8Bit &wordCandidate) const
double | SuffixEntropy (const UTF8StringSlice8Bit &wordCandidate) const
double | PrefixEntropy (const UTF8StringSlice8Bit &wordCandidate) const
size_t | Frequency (const UTF8StringSlice8Bit &word) const
double | Probability (const UTF8StringSlice8Bit &word) const
double | LogProbability (const UTF8StringSlice8Bit &word) const
void | Reset ()
void | ExtractSuffixes ()
void | ExtractPrefixes ()
void | ExtractWordCandidates ()
void | CalculateFrequency ()
void | CalculateCohesions ()
void | CalculateSuffixEntropy ()
void | CalculatePrefixEntropy ()
void | SelectWords ()

## Static Public Member Functions
static bool | DefaultPreCalculationFilter (const PhraseExtract &, const PhraseExtract::UTF8StringSlice8Bit &)
static bool | DefaultPostCalculationFilter (const PhraseExtract &, const PhraseExtract::UTF8StringSlice8Bit &)

## Friends
class | PhraseExtractTest

The documentation for this class was generated from the following files:

- PhraseExtract.hpp
- PhraseExtract.cpp